com.smartgwt.client.types

## Enum ListGridComponent

- java.lang.Object
- - java.lang.Enum<ListGridComponent>
  - - com.smartgwt.client.types.ListGridComponent

- All Implemented Interfaces:
    ValueEnum, java.io.Serializable, java.lang.Comparable<ListGridComponent>

      public enum ListGridComponent
      extends java.lang.Enum<ListGridComponent>
      implements ValueEnum

  Standard component-type displayed within a ListGrid, as contained by `gridComponents`.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BODY` The body component for the grid.
    `FILTER_EDITOR` The standard filter-component displayed when `showFilterEditor` is true
    `HEADER` The header-component displayed when `showHeader` is true.
    `SUMMARY_ROW` The summary-row component displayed when `showGridSummary` is true.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getValue()`
    `static ListGridComponent` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ListGridComponent[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### FILTER_EDITOR

          public static final ListGridComponent FILTER_EDITOR

      The standard filter-component displayed when `showFilterEditor` is true

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "filterEditor".

    - #### HEADER

          public static final ListGridComponent HEADER

      The header-component displayed when `showHeader` is true.

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "header".

    - #### BODY

          public static final ListGridComponent BODY

      The body component for the grid.

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "body".

    - #### SUMMARY_ROW

          public static final ListGridComponent SUMMARY_ROW

      The summary-row component displayed when `showGridSummary` is true.

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "summaryRow".

  - ### Method Detail

    - #### values

          public static ListGridComponent[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ListGridComponent c : ListGridComponent.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ListGridComponent valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public java.lang.String getValue()

      Specified by:
        `getValue` in interface `ValueEnum`